Bug 101107 - TB maindialog.py:669:on_deviceCopyButton_clicked:NameError: global name 'NCDeviceFactory' is not defined
TB maindialog.py:669:on_deviceCopyButton_clicked:NameError: global name 'NCDe...
Status: CLOSED RAWHIDE
Product: Red Hat Linux Beta
Classification: Retired
Component: redhat-config-network (Show other bugs)
beta1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: CambridgeBlocker
  Show dependency treegraph
 
Reported: 2003-07-29 00:46 EDT by Dave Habben
Modified: 2007-04-18 12:56 EDT (History)
0 users

See Also:
Fixed In Version: 1.3.6-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-06 20:31:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Habben 2003-07-29 00:46:44 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030703

Description of problem:
It reports:
"An unhandled exception has occurred. This is most likely a but. Please save the
crash dump and file a detailed bug report against redhat-config-network"

Component: redhat-config-network
Version: 1.3.1
Summary: TB maindialog.py:669:on_deviceCopyButton_clicked:NameError: global name
'NCDeviceFactory' is not defined
Traceback (most recent call last):
  File
"/usr/src/build/273296-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 617, in on_copyButton_clicked
  File
"/usr/src/build/273296-noarch/install/usr/share/redhat-config-network/netconfpkg/gui/maindialog.py",
line 669, in on_deviceCopyButton_clicked
NameError: global name 'NCDeviceFactory' is not defined

Local variables in innermost frame:
srcdev: Device.HardwareAddress=00:C0:F0:40:08:0C
Device.Type=Ethernet
Device.OnBoot=true
Device.BootProto=dhcp
Device.DeviceId=eth0
Device.Device=eth0

clist: <gtk.CList object (GtkCList) at 0x9d2fc4c>
button: <gtk.Button object (GtkButton) at 0x9d2c814>
self: <netconfpkg.gui.maindialog.mainDialog instance at 0x9ca0d4c>


Version-Release number of selected component (if applicable):
redhat-config-network-1.3.1-1

How reproducible:
Always

Steps to Reproduce:
1. Run redhat-config-network as root
2. Click on Copy in the toolbar

Actual Results:  Crashes with a traceback

Expected Results:  Copies the selected network entry

Additional info:
Comment 1 Dave Habben 2003-09-06 20:31:04 EDT
This works properly in:
redhat-config-network-1.3.6-1

Marking this bug as FIXED/RAWHIDE

Note You need to log in before you can comment on or make changes to this bug.